<?php

require_once plugin_dir_path(__FILE__ ) . '/../Curl.php';
require_once __DIR__."/../vendor/autoload.php";
require_once LIB_DIR . 'instagram/CustomHandler.php';

class Instagram
{
	private static $error = '';

	public static function login($username , $password)
	{
		\InstagramAPI\Instagram::$allowDangerousWebUsageAtMyOwnRisk = true;

		$ig = new \InstagramAPI\Instagram(/*false, false, [
			'storage'    => 'file',
			'basefolder' => 'E:\sess',
		]*/);

		$error = false;
		try
		{
			$ig->login($username, $password);
		}
		catch(\InstagramAPI\Exception\InstagramException $e)
		{
			$error = true;
			self::$error = $e->getMessage();

			/*$result = $e->getResponse()->asArray();*/

			/*if( !empty($result['message']) && $result['message'] == 'challenge_required' && isset($result['challenge']) && isset($result['challenge']['url']) )
			{
				$crURL = $result['challenge']['url'];
				var_dump($crURL);

				$test = $ig->request($crURL)
					->setNeedsAuth(false)
					->addParam('choice', 1)
					->addPost('device_id', $ig->device_id)
					->addPost('guid', $ig->uuid)
					->addPost('_csrftoken', $ig->client->getToken())
					->getResponse(new InstagramAPI\Response\UserInfoResponse());

				var_dump($test->asArray());

				die;
				$token = 'xxx';

				require_once LIB_DIR . 'instagram/ChallangePass.php';

				$data = ChallangePass::challangeBypass($crURL , $token , 'E:\sess\xxx\\' . $username . '-cookies.dat');
				var_dump(file_get_contents('E:\sess\alemomerov\\' . $username . '-cookies.dat'));

				$data = ChallangePass::confirmChallange($crURL , $token , '307218' , 'E:\sess\alemomerov\\' . $username . '-cookies.dat');
				var_dump(file_get_contents('E:\sess\alemomerov\\' . $username . '-cookies.dat'));
				die;
			}*/


			/*die;*/
			/*if( strpos(self::$error , 'Challenge required') !== false )
			{
				require_once LIB_DIR . 'instagram/ChallangePass.php';
				$data = ChallangePass::challangeBypass($username , $password);

				if( $data['status'] )
				{
					return ['status' => 'challange' , 'message' => $data['message']];
				}
			}*/
		}

		return $error===false ? ['status' => 'ok' , 'ig' => $ig] : ['status' => 'error' , 'message' => self::$error];
	}

	public static function sendStory( $accountInfo , $type , $message , $link , $images , $video )
	{
		$ig = self::login($accountInfo['username'] , $accountInfo['password']);

		if( !( is_array($ig) && isset($ig['ig']) ) )
		{
			return [
				'status'	=>	'error',
				'error_msg'	=>	self::$error
			];
		}
		$ig = $ig['ig'];

		$metadata = [
			'link'      =>  $link
		];

		try
		{
			if( $type == 'image' )
			{
				$resizedImage = self::imageForInstagramStory(reset($images) , $message);

				$photo = new \InstagramAPI\Media\Photo\InstagramPhoto( is_null( $resizedImage ) ? reset($images) : $resizedImage , ['targetFeed' => \InstagramAPI\Constants::FEED_STORY]);
				$result = $ig->story->uploadPhoto($photo->getFile(), $metadata);

				if( !is_null($resizedImage) )
				{
					// destroy resized temp image
					unlink($resizedImage);
				}
			}
			else if( $type == 'video' )
			{
				$video = new \InstagramAPI\Media\Video\InstagramVideo($video, ['targetFeed' => \InstagramAPI\Constants::FEED_STORY]);
				$result = $ig->story->uploadVideo($video->getFile(), $metadata);
			}
			else
			{
				return [
					'status'	=>	'error',
					'error_msg'	=>	'Error! In post image or video not found!'
				];
			}
		}
		catch (\Exception $e)
		{
			return [
				'status'	=>	'error',
				'error_msg'	=>	$e->getMessage()
			];
		}

		if( isset($result) )
		{
			$result = $result->asArray();

			$result2 = [
				'status'	=>  'ok',
				'id'		=>	isset($result['media']['code']) ? $result['media']['code'] : '?',
				'id2'		=>	isset($result['media']['id']) ? $result['media']['id'] : '?'
			];
		}

		return $result2;
	}

	public static function sendPost( $accountInfo , $type , $message , $link , $images , $video )
	{
		$ig = self::login($accountInfo['username'] , $accountInfo['password']);

		if( !( is_array($ig) && isset($ig['ig']) ) )
		{
			return [
				'status'	=>	'error',
				'error_msg'	=>	self::$error
			];
		}
		$ig = $ig['ig'];

		$metadata = ['caption' => $message];

		try
		{
			if( $type == 'image' )
			{
				$photo = new \InstagramAPI\Media\Photo\InstagramPhoto(reset($images));
				$result = $ig->timeline->uploadPhoto($photo->getFile(), $metadata);
			}
			else if( $type == 'video' )
			{
				$video = new \InstagramAPI\Media\Video\InstagramVideo($video);
				$result = $ig->timeline->uploadVideo($video->getFile(), $metadata);
			}
			else
			{
				return [
					'status'	=>	'error',
					'error_msg'	=>	'Error! In post image or video not found!'
				];
			}
		}
		catch (\Exception $e)
		{
			return [
				'status'	=>	'error',
				'error_msg'	=>	$e->getMessage()
			];
		}

		if( isset($result) )
		{
			$result = $result->asArray();

			$result2 = [
				'status'	=>  'ok',
				'id'		=>	isset($result['media']['code']) ? $result['media']['code'] : '?',
				'id2'		=>	isset($result['media']['id']) ? $result['media']['id'] : '?'
			];
		}

		return $result2;
	}

	public static function getStats( $postId, $accountInfo )
	{
		if( empty($accountInfo) || empty($accountInfo['username']) || empty($accountInfo['password']) )
		{
			return [
				'comments'      =>  0,
				'like'          =>  0,
				'shares'        =>  0,
				'details'       =>  ''
			];
		}

		$ig = self::login($accountInfo['username'] , $accountInfo['password']);

		if( !( is_array($ig) && isset($ig['ig']) ) )
		{
			$info = [];
		}

		$ig = $ig['ig'];

		try
		{
			$info = $ig->media->getInfo( $postId )->asArray();
		}
		catch (Exception $e)
		{
			$info = [];
		}

		return [
			'comments'      =>  isset($info['items'][0]['comment_count']) ? (int)$info['items'][0]['comment_count'] : 0,
			'like'          =>  isset($info['items'][0]['like_count']) ? (int)$info['items'][0]['like_count'] : 0,
			'shares'        =>  0,
			'details'       =>  ''
		];
	}

	private static function imageForInstagramStory($imageURL , $title)
	{
		error_reporting(E_ALL);
		ini_set('display_errors' , 'on');

		$newFileName = null;
		$storyW = 1080 / 1.5;
		$storyH = 1920 / 1.5;

		require_once LIB_DIR . 'PHPImage/PHPImage.php';

		$imageInf = new PHPImage($imageURL);
		$imageWidth = $imageInf->getWidth();
		$imageHeight = $imageInf->getHeight();

		if( $imageWidth * $imageHeight > 3400 * 3400 ) // large file
		{
			return $newFileName;
		}

		$imageInf->cleanup();
		unset($imageInf);

		if( $imageWidth > $imageHeight )
		{
			$w1 = $storyW;
			$h1 = ($w1 / $imageWidth) * $imageHeight;
		}
		else
		{
			$h1 = $storyH;
			$w1 = ( $h1 / $imageHeight ) * $imageWidth;
		}

		$image = new PHPImage();
		$image->initialiseCanvas($storyW , $storyH , 'img' , [99, 110, 114 , 0]);

		$image->draw($imageURL , '50%' , '50%' , $w1 , $h1);

		// write title
		$textPadding = 10;
		$textWidth = 500;
		$textHeight = 100;
		$iX = floor(($storyW - $textWidth) / 2);
		$iY = 100;

		$image->setFont(LIB_DIR . 'PHPImage/font/Exo2-Regular.ttf');
		$image->rectangle($iX, $iY, $textWidth + $textPadding, $textHeight - $textPadding, array(0, 0, 0), 0.3);

		$image->textBox( $title , array(
			'fontSize' => 30,
			'x' => $iX,
			'y' => $iY,
			'strokeWidth' => 1,
			'strokeColor' => array(99, 110, 114),
			'width' => $textWidth,
			'height' => $textHeight,
			'alignHorizontal' => 'center',
			'alignVertical' => 'center'
		));

		$newFileName = sys_get_temp_dir() . DIRECTORY_SEPARATOR . 'instagram_stroy_tmp_' . rand(10000, 999999) . '_' . microtime(1) . '.png';
		$image->save( $newFileName );


		return $newFileName;
	}
}